Roles
Roles exist at two levels, Organization level and Ad Account level.
Organization Roles
Attributes
| Attribute. | Description | Required | Possible Values |
|---|---|---|---|
| member_id | Member ID | R | |
| organization_id | Organization ID | R | |
| type | Organization role type | R | admin, business_admin, data_admin, member |
A Member entity must be assigned one of the Organization role types.
| Name | Description |
|---|---|
| admin | Admin access to everything in the Organization and all Ad Accounts including creating, updating, deleting entities, adding new Members, assigning Roles. Note: deleting an entire Ad Account requires the business_admin role. |
| business_admin | Can access full Business Manager capabilities (payment methods, roles, organization details) and can create, update, and delete Ad Accounts, but cannot manage the entities within individual ad accounts or catalogs |
| data_admin | Reporting Admin role tailored for reporting only, this Role has reporting access only to all Ad Accounts in the Organization |
| member | Required for all Members who do not have the admin role, also a prerequisite for Ad Account Roles |
Ad Account Roles
Attributes
| Attribute. | Description | Required | Possible Values |
|---|---|---|---|
| member_id. | Member ID | R | |
| ad_account_id | Ad Account ID | R | |
| type | Ad Account role type | R | admin, creative, general, reports, audience |
In order to be assigned an Ad Account role the Member in question first needs the Organization role type member.
| Name | Description |
|---|---|
| admin. | Admin access to everything in the Ad Account |
| creative | Has full control of Creative and Media entities, and read access to all other entities. |
| general | Has full control of sub-Ad Account level entities (Campaigns, Ad Squads, Ads) |
| reports | Has read-only access to the Ad Account for reporting purposes. |
| audience | Has full control of Audience entities |
Catalog Roles
Attributes
| Attribute | Description | Required | Possible Values |
|---|---|---|---|
| member_id | Member ID | R | |
| catalog_id | Catalog ID | R | |
| type | Catalog role type | R | catalog_admin, catalog_advertiser |
In order to be assigned a Catalog role the Member in question first needs the Organization role type member.
| Name | Description |
|---|---|
| catalog_admin | Catalog Admins can edit and view existing catalogs which they have been assigned to by an Organization Admin, as well as create ads from those catalogs |
| catalog_advertiser | Catalog Advertisers can create ads from catalogs which they have been assigned to by an Organization Admin, however they cannot edit those catalogs |
Get Roles for Member
curl "https://adsapi.snapchat.com/v1/members/d051973d-32b2-496b-b44a-345986bce17d/roles?limit=100" \
-H "Authorization: Bearer meowmeowmeow"
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "5ea9654400ff07724b540651010001737e616473617069736300016275696c642d36373239363666352d312d3334372d3000010115",
"paging": {},
"roles": [
{
"sub_request_status": "SUCCESS",
"role": {
"id": "53155cfb-fc21-4d5f-a3dc-2ab7d8c7db03",
"updated_at": "2020-02-04T12:32:22.365Z",
"created_at": "2020-02-04T12:32:22.281Z",
"container_kind": "AdAccounts",
"container_id": "8fb3b893-7978-43d5-81fe-fe0613972092",
"member_id": "d051973d-32b2-496b-b44a-345986bce17d",
"ad_account_id": "8fb3b893-7978-43d5-81fe-fe0613972092",
"type": "reports"
}
},
{
"sub_request_status": "SUCCESS",
"role": {
"id": "9e19db05-340d-4cdf-8de9-09022a2842cf",
"updated_at": "2019-02-06T23:26:11.401Z",
"created_at": "2018-10-17T11:48:58.601Z",
"container_kind": "AdAccounts",
"container_id": "82225ba6-7559-4000-9663-bace8adff5f2",
"member_id": "d051973d-32b2-496b-b44a-345986bce17d",
"ad_account_id": "82225ba6-7559-4000-9663-bace8adff5f2",
"type": "admin"
}
},
{
"sub_request_status": "SUCCESS",
"role": {
"id": "ab0e7b9b-e0c0-441e-b26b-90ebd13c564a",
"updated_at": "2019-02-07T00:52:25.576Z",
"created_at": "2018-10-17T11:48:24.559Z",
"container_kind": "Organizations",
"container_id": "8fdeefec-f502-4ca8-9a84-6411e0a51053",
"member_id": "d051973d-32b2-496b-b44a-345986bce17d",
"organization_id": "1fdeefec-f502-4ca8-9a84-6411e0a51053",
"type": "member"
}
}
]
}
The following API request returns all Roles assigned to a Member, this includes Roles within both Organizations and Ad Accounts.
HTTP Request
GET https://adsapi.snapchat.com/v1/members/{member_id}/roles
Parameters
| Parameter | Default | Description |
|---|---|---|
| something_id | Organization ID | |
| limit | integer, min 50, max 1000 |